{
    "class": "Workflow",
    "requirements": [
        {
            "class": "StepInputExpressionRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/fasta"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/fasta_check_dummy"
        },
        {
            "type": [
                "null",
                "File"
            ],
            "id": "#main/gff_check_dummy"
        }
    ],
    "steps": [
        {
            "run": {
                "class": "CommandLineTool",
                "hints": [
                    {
                        "dockerPull": "ncbi/amr:18.06",
                        "class": "DockerRequirement"
                    }
                ],
                "requirements": [
                    {
                        "class": "InitialWorkDirRequirement",
                        "listing": [
                            {
                                "entry": "$(inputs.fasta)",
                                "writable": false
                            }
                        ]
                    }
                ],
                "baseCommand": "makeblastdb",
                "inputs": [
                    {
                        "type": [
                            "null",
                            "string"
                        ],
                        "default": "prot",
                        "inputBinding": {
                            "prefix": "-dbtype"
                        },
                        "id": "#main/makeblastdb/df1ac11a-edf5-483c-a5b0-8d01917725ab/dbtype"
                    },
                    {
                        "type": "File",
                        "inputBinding": {
                            "prefix": "-in"
                        },
                        "id": "#main/makeblastdb/df1ac11a-edf5-483c-a5b0-8d01917725ab/fasta"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "outputBinding": {
                            "glob": "*"
                        },
                        "id": "#main/makeblastdb/df1ac11a-edf5-483c-a5b0-8d01917725ab/blastfiles"
                    }
                ],
                "id": "#main/makeblastdb/df1ac11a-edf5-483c-a5b0-8d01917725ab"
            },
            "in": [
                {
                    "source": "#main/fasta",
                    "id": "#main/makeblastdb/fasta"
                }
            ],
            "out": [
                "#main/makeblastdb/blastfiles"
            ],
            "id": "#main/makeblastdb"
        },
        {
            "run": {
                "class": "CommandLineTool",
                "requirements": [
                    {
                        "class": "ShellCommandRequirement"
                    }
                ],
                "arguments": [
                    {
                        "shellQuote": false,
                        "valueFrom": "mkdir $(inputs.blastdir) && cp"
                    }
                ],
                "inputs": [
                    {
                        "type": "string",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#main/mkdir/96df0200-3813-49ff-890f-917e854bb298/blastdir"
                    },
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/mkdir/96df0200-3813-49ff-890f-917e854bb298/blastfiles"
                    }
                ],
                "outputs": [
                    {
                        "type": "Directory",
                        "outputBinding": {
                            "glob": "$(inputs.blastdir)"
                        },
                        "id": "#main/mkdir/96df0200-3813-49ff-890f-917e854bb298/blastdb"
                    }
                ],
                "id": "#main/mkdir/96df0200-3813-49ff-890f-917e854bb298"
            },
            "in": [
                {
                    "source": "#main/fasta",
                    "valueFrom": "$(self.basename)",
                    "id": "#main/mkdir/blastdir"
                },
                {
                    "source": "#main/makeblastdb/blastfiles",
                    "id": "#main/mkdir/blastfiles"
                }
            ],
            "out": [
                "#main/mkdir/blastdb"
            ],
            "id": "#main/mkdir"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": "Directory",
            "outputSource": "#main/mkdir/blastdb",
            "id": "#main/blastdb"
        }
    ],
    "cwlVersion": "v1.0"
}
